Перейти к публикации
Форум ботоводов

Bdfy

Members
  • Публикации

    1
  • Зарегистрирован

  • Посещение

Bdfy's Achievements

Newbie

Newbie (1/14)

0

Репутация

  1. Bdfy

    Бот для Bittrex (MACD+RSI)

    Доброго времени суток! Помогите разобраться, не пойму в чем проблема!( 2019-11-11 19:56:18,072 USDT-BTC: Получаем все неисполненные ордера по БД<br/> 2019-11-11 19:56:18,083 USDT-BTC: Неисполненных ордеров в БД нет, пора ли создать новый?<br/> 2019-11-11 19:56:18,085 USDT-BTC: Error!!!!<br/> Traceback (most recent call last): File "C:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\requests\models.py", line 379, in prepare_url scheme, auth, host, port, path, query, fragment = parse_url(url) File "C:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\urllib3\util\url.py", line 401, in parse_url return six.raise_from(LocationParseError(source_url), None) File "<string>", line 3, in raise_from urllib3.exceptions.LocationParseError: Failed to parse: https://bittrex.com/Api/v2.0/pub/market/GetTicks?marketName=USDT-BTC&tickInterval=fiveMin During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\Users\User\Downloads\bittrex_macd\main.py", line 228, in process_market macd_advice = get_macd_advice(chart_data=get_ticks(market, period=Config.MACD_TICK_INTERVAL)) File "C:\Users\User\Downloads\bittrex_macd\misc.py", line 103, in get_ticks res = requests.get("https://bittrex.com/Api/v2.0/pub/market/GetTicks?marketName=" + market + "&tickInterval="+period, verify=Config.SECURE).json() File "C:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\requests\api.py", line 75, in get return request('get', url, params=params, **kwargs) File "C:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\requests\api.py", line 60, in request return session.request(method=method, url=url, **kwargs) File "C:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\requests\sessions.py", line 519, in request prep = self.prepare_request(req) File "C:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\requests\sessions.py", line 462, in prepare_request hooks=merge_hooks(request.hooks, self.hooks), File "C:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\requests\models.py", line 313, in prepare self.prepare_url(url, params) File "C:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\requests\models.py", line 381, in prepare_url raise InvalidURL(*e.args) requests.exceptions.InvalidURL: Failed to parse: https://bittrex.com/Api/v2.0/pub/market/GetTicks?marketName=USDT-BTC&tickInterval=fiveMin
×
×
  • Создать...